<manifest version="1.0" type="device">
    <!-- secure element -->
    <hal format="hidl" override="true">
       <name>android.hardware.secure_element</name>
       <transport>hwbinder</transport>
       <version>1.2</version>
       <interface>
           <name>ISecureElement</name>
           <instance>SIM1</instance>
       </interface>
    </hal>
    <!-- nxpese -->
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.nxpese</name>
        <transport>hwbinder</transport>
    </hal>
    <!-- eSEPowerManager -->
    <hal format="hidl" override="true">
        <name>vendor.qti.esepowermanager</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
        <interface>
            <name>ISap</name>
            <instance>slot1</instance>
        </interface>
        <fqname>@1.6::IRadio/slot1</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.hnradio</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.honor.hardware.radio_radar</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IRadioRadar</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>IDataConnection</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.data.iwlan</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>IIWlan</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IQcRilAudio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IQtiOemHook</name>
            <instance>oemhook0</instance>
        </interface>
    </hal>
    <!-- RIL UIM -->
    <hal format="hidl" override="true">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>IUim</name>
            <instance>Uim0</instance>
        </interface>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.qti.hardware.radio.ims</name>
        <version>7</version>
        <fqname>IImsRadio/imsradio0</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.qti.hardware.data.connectionfactory</name>
        <fqname>IFactory/slot0</fqname>
    </hal>
</manifest>
